Debian Bug report logs - #563113
slapd: TLSCipherSuite not working - gnutls cipher spec is unclear!?

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: simplebugreport <bug-report@agetty.de>

Date: Wed, 30 Dec 2009 23:03:05 UTC

Severity: normal

Tags: patch

Found in version 2.4.11-1+lenny1

Fixed in version openldap/2.4.21-1

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Forwarded to http://www.openldap.org/its/index.cgi?selectid=6525

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#563113; Package slapd. (Wed, 30 Dec 2009 23:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to simplebugreport <bug-report@agetty.de>:
New Bug report received and forwarded. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Wed, 30 Dec 2009 23:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: simplebugreport <bug-report@agetty.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: slapd: TLSCipherSuite not working - gnutls cipher spec is unclear!?
Date: Wed, 30 Dec 2009 23:59:03 +0100
Package: slapd
Version: 2.4.11-1+lenny1
Severity: normal



-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.18-6-xen-vserver-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slapd depends on:
ii  adduser           3.110                  add and remove users and groups
ii  coreutils         6.10-6                 The GNU core utilities
ii  debconf [debconf- 1.5.24                 Debian configuration management sy
ii  libc6             2.7-18                 GNU C Library: Shared libraries
ii  libdb4.2          4.2.52+dfsg-5          Berkeley v4.2 Database Libraries [
ii  libgnutls26       2.4.2-6+lenny2         the GNU TLS library - runtime libr
ii  libldap-2.4-2     2.4.11-1+lenny1        OpenLDAP libraries
ii  libltdl3          1.5.26-4+lenny1        A system independent dlopen wrappe
ii  libperl5.10       5.10.0-19lenny2        Shared Perl library
ii  libsasl2-2        2.1.22.dfsg1-23+lenny1 Cyrus SASL - authentication abstra
ii  libslp1           1.2.1-7.5              OpenSLP libraries
ii  libwrap0          7.6.q-16               Wietse Venema's TCP wrappers libra
ii  perl [libmime-bas 5.10.0-19lenny2        Larry Wall's Practical Extraction 
ii  psmisc            22.6-1                 Utilities that use the proc filesy
ii  unixodbc          2.2.11-16              ODBC tools libraries

Versions of packages slapd recommends:
ii  libsasl2-modules  2.1.22.dfsg1-23+lenny1 Cyrus SASL - pluggable authenticat

Versions of packages slapd suggests:
ii  ldap-utils               2.4.11-1+lenny1 OpenLDAP utilities

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#563113; Package slapd. (Wed, 30 Dec 2009 23:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Wed, 30 Dec 2009 23:24:02 GMT) Full text and rfc822 format available.

Message #10 received at 563113@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: simplebugreport <bug-report@agetty.de>
Cc: 563113@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#563113: slapd: TLSCipherSuite not working - gnutls cipher spec is unclear!?
Date: Wed, 30 Dec 2009 15:20:41 -0800
tags 563113 moreinfo
thanks

simplebugreport <bug-report@agetty.de> writes:

> Package: slapd
> Version: 2.4.11-1+lenny1
> Severity: normal

Your bug report didn't provide any details about what didn't work or what
you think is unclear.  Could you provide that information?

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) moreinfo. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 30 Dec 2009 23:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#563113; Package slapd. (Thu, 31 Dec 2009 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <bug-report@agetty.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 31 Dec 2009 03:15:03 GMT) Full text and rfc822 format available.

Message #17 received at 563113@bugs.debian.org (full text, mbox):

From: <bug-report@agetty.de>
To: <563113@bugs.debian.org>
Subject: slapd: TLSCipherSuite not working - gnutls cipher spec is unclear!?
Date: Thu, 31 Dec 2009 03:47:08 +0100
hi Russell,

its pretty unclear which syntax to use with the TLSCipherSuite parameter
of slapd.conf ...

The old SSL syntax used with 2.3x versions of slapd was pretty clear with
that and could be adapted from the openssl documentation.

Today I switched a testing platform from etch to lenny (fresh install) and
tried to configure the TLS setup as I did before
with the latest slapd version (2.3x) under etch .. But in slapd version
2.4.11 the "TLSCipherSuite" parameter isn't working
probably because its not clear how the cipher spec string should look like
because the new openldap series (2.4x) is using
gnutls instead of openssl.

When I comment this parameter everything is working fine but I'd like to
restrict the available ciphers to a (safer) minimum
(based on a pattern like e.g. "HIGH" as I can do with openssl).

In my old slapd.conf for example I could have specified "TLSCipherSuite
HIGH:MEDIUM:+SSLv2" which was working like a charm (under 2.3x).
But if a list of ciphers is specified as mentioned by slapd.conf(5) for
example:

TLSCipherSuite
TLS_DHE_PSK_SHA_3DES_EDE_CBC_SHA1:TLS_DHE_PSK_SHA_AES_256_CBC_SHA1

or even with a whitespace instead of the colon, its still not working.
When the ciphers are separated by whitespaces I'm able to start
slapd but I'm not able to connect and even gnutls-cli-debug can't connect
to the ldap host (neither via implicit SSL connection via port
636 nor via STARTTLS over port 389). As I already mentioned above - when I
remove the TLSCipherSuite parameter from slapd.conf everything
(including gnutls-cli-debug) is working again (tested with ldap-utils,
jxplorer, ldapadmin [...])...

The gnutls syntax is described within the gnutls-cli(1) manpage and it
further says that "NORMAL:!AES-128-CBC" for example should be fine
to use. I tried many combinations but nothing seemed to work ...

To me it looks like that slapd is expecting the old SSL syntax which is
obviously deprecated since the openldap 2.4 release which
makes openssl needless and introduces gnutls as the default implementation
for SSL/TLS handling. I searched the web for about 2 hours
to find a solution and I dont want to exclude the possibility that I maybe
missed something. But if thats so then it was never
harder to find a piece of documentation then this time ..

If found this thread at
"http://www.openldap.org/its/index.cgi/?findid=6251" but the suggestions
also didn't worked for me (maybe because
its about version 2.4.17)..

Message #24 of "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=541256"
describes my problem at best but at the end of this report a
statement from Howard Chu says that it wasn simply a bad decision to
implement gnutls with openlda .. the reasons are given within
that thread but is there something we can do to fix this behaviour?

Any suggestions?

best regards
jan




Removed tag(s) moreinfo. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Thu, 31 Dec 2009 03:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#563113; Package slapd. (Thu, 15 Apr 2010 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Marschall <peter@adpm.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 15 Apr 2010 08:03:04 GMT) Full text and rfc822 format available.

Message #24 received at 563113@bugs.debian.org (full text, mbox):

From: Peter Marschall <peter@adpm.de>
To: Debian Bug Tracking System <563113@bugs.debian.org>
Subject: slapd.conf(5) man page patch
Date: Thu, 15 Apr 2010 09:39:07 +0200
[Message part 1 (text/plain, inline)]
Package: slapd
Severity: normal
Tags: patch

Hi,

I wrote a small patch for the slapd.conf(5) man page.
Please find it attached.

In addition to that I can confirm that the bug does not occur
in OpenDLAP 2.4.21 (tested with 
	TLSCipherSuite          NORMAL:!AES-128-CBC
in slapd.conf).

I did not test with earlier versions, but according to the code in tls_g.c
the calls to gnutls_priority_init() were already in when 2.4.17 was released.
So, I am quite confident the problem was already solved with OpenLDAP 2.4.17.

Best regards
Peter


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages slapd depends on:
ii  adduser                   3.112          add and remove users and groups
ii  coreutils                 7.4-2          The GNU core utilities
ii  debconf [debconf-2.0]     1.5.30         Debian configuration management sy
ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
ii  libdb4.7                  4.7.25-9       Berkeley v4.7 Database Libraries [
ii  libgnutls26               2.8.6-1        the GNU TLS library - runtime libr
ii  libldap-2.4-2             2.4.21-0pm1    OpenLDAP libraries
ii  libltdl7                  2.2.6b-2       A system independent dlopen wrappe
ii  libperl5.10               5.10.1-11      shared Perl library
ii  libsasl2-2                2.1.23.dfsg1-5 Cyrus SASL - authentication abstra
ii  libslp1                   1.2.1-7.6      OpenSLP libraries
ii  libwrap0                  7.6.q-18       Wietse Venema's TCP wrappers libra
ii  lsb-base                  3.2-23         Linux Standard Base 3.2 init scrip
ii  perl [libmime-base64-perl 5.10.1-11      Larry Wall's Practical Extraction 
ii  psmisc                    22.10-1        utilities that use the proc file s
ii  unixodbc                  2.2.11-21      ODBC tools libraries

Versions of packages slapd recommends:
ii  libsasl2-modules          2.1.23.dfsg1-5 Cyrus SASL - pluggable authenticat

Versions of packages slapd suggests:
ii  ldap-utils                   2.4.21-0pm1 OpenLDAP utilities

-- debconf information excluded
[openldap-2.4.21-slapd.conf-TLSCipherSuite.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#563113; Package slapd. (Thu, 15 Apr 2010 08:23:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 15 Apr 2010 08:23:51 GMT) Full text and rfc822 format available.

Message #29 received at 563113@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: Peter Marschall <peter@adpm.de>, 563113@bugs.debian.org
Subject: Re: Bug#563113: slapd.conf(5) man page patch
Date: Thu, 15 Apr 2010 10:13:54 +0200
Hi Peter,

Thanks for testing the package to this bug, currently 2.4.21 is in trunk and will be uploaded
in the near future.

I'll forward the patch to upstream.

Regards,

Matthijs Mohlmann

On Apr 15, 2010, at 9:39 AM, Peter Marschall wrote:

> Package: slapd
> Severity: normal
> Tags: patch
> 
> Hi,
> 
> I wrote a small patch for the slapd.conf(5) man page.
> Please find it attached.
> 
> In addition to that I can confirm that the bug does not occur
> in OpenDLAP 2.4.21 (tested with 
> 	TLSCipherSuite          NORMAL:!AES-128-CBC
> in slapd.conf).
> 
> I did not test with earlier versions, but according to the code in tls_g.c
> the calls to gnutls_priority_init() were already in when 2.4.17 was released.
> So, I am quite confident the problem was already solved with OpenLDAP 2.4.17.
> 
> Best regards
> Peter
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages slapd depends on:
> ii  adduser                   3.112          add and remove users and groups
> ii  coreutils                 7.4-2          The GNU core utilities
> ii  debconf [debconf-2.0]     1.5.30         Debian configuration management sy
> ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
> ii  libdb4.7                  4.7.25-9       Berkeley v4.7 Database Libraries [
> ii  libgnutls26               2.8.6-1        the GNU TLS library - runtime libr
> ii  libldap-2.4-2             2.4.21-0pm1    OpenLDAP libraries
> ii  libltdl7                  2.2.6b-2       A system independent dlopen wrappe
> ii  libperl5.10               5.10.1-11      shared Perl library
> ii  libsasl2-2                2.1.23.dfsg1-5 Cyrus SASL - authentication abstra
> ii  libslp1                   1.2.1-7.6      OpenSLP libraries
> ii  libwrap0                  7.6.q-18       Wietse Venema's TCP wrappers libra
> ii  lsb-base                  3.2-23         Linux Standard Base 3.2 init scrip
> ii  perl [libmime-base64-perl 5.10.1-11      Larry Wall's Practical Extraction 
> ii  psmisc                    22.10-1        utilities that use the proc file s
> ii  unixodbc                  2.2.11-21      ODBC tools libraries
> 
> Versions of packages slapd recommends:
> ii  libsasl2-modules          2.1.23.dfsg1-5 Cyrus SASL - pluggable authenticat
> 
> Versions of packages slapd suggests:
> ii  ldap-utils                   2.4.21-0pm1 OpenLDAP utilities
> 
> -- debconf information excluded
> <openldap-2.4.21-slapd.conf-TLSCipherSuite.patch>





Added tag(s) patch. Request was from Peter Marschall <peter@adpm.de> to control@bugs.debian.org. (Thu, 15 Apr 2010 15:48:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://www.openldap.org/its/index.cgi?selectid=6525'. Request was from Peter Marschall <peter@adpm.de> to control@bugs.debian.org. (Sat, 17 Apr 2010 13:03:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from matthijs@alioth.debian.org to control@bugs.debian.org. (Sat, 17 Apr 2010 20:18:03 GMT) Full text and rfc822 format available.

Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Fri, 23 Apr 2010 19:36:47 GMT) Full text and rfc822 format available.

Notification sent to simplebugreport <bug-report@agetty.de>:
Bug acknowledged by developer. (Fri, 23 Apr 2010 19:36:47 GMT) Full text and rfc822 format available.

Message #40 received at 563113-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 563113-close@bugs.debian.org
Subject: Bug#563113: fixed in openldap 2.4.21-1
Date: Fri, 23 Apr 2010 19:32:28 +0000
Source: openldap
Source-Version: 2.4.21-1

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.21-1_amd64.deb
  to main/o/openldap/ldap-utils_2.4.21-1_amd64.deb
libldap-2.4-2-dbg_2.4.21-1_amd64.deb
  to main/o/openldap/libldap-2.4-2-dbg_2.4.21-1_amd64.deb
libldap-2.4-2_2.4.21-1_amd64.deb
  to main/o/openldap/libldap-2.4-2_2.4.21-1_amd64.deb
libldap2-dev_2.4.21-1_amd64.deb
  to main/o/openldap/libldap2-dev_2.4.21-1_amd64.deb
openldap_2.4.21-1.diff.gz
  to main/o/openldap/openldap_2.4.21-1.diff.gz
openldap_2.4.21-1.dsc
  to main/o/openldap/openldap_2.4.21-1.dsc
openldap_2.4.21.orig.tar.gz
  to main/o/openldap/openldap_2.4.21.orig.tar.gz
slapd-dbg_2.4.21-1_amd64.deb
  to main/o/openldap/slapd-dbg_2.4.21-1_amd64.deb
slapd-smbk5pwd_2.4.21-1_amd64.deb
  to main/o/openldap/slapd-smbk5pwd_2.4.21-1_amd64.deb
slapd_2.4.21-1_amd64.deb
  to main/o/openldap/slapd_2.4.21-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563113@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Apr 2010 23:40:30 +0200
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.21-1
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 226090 231950 385898 443073 452834 465024 490930 502769 504728 510346 518657 518660 528695 549291 549642 553432 561144 563113 564686 575900
Changes: 
 openldap (2.4.21-1) unstable; urgency=low
 .
   [ Steve Langasek ]
   * New upstream version
     (Closes: #561144, #465024, #502769, #528695, #564686, #504728)
   * Add upstream manpage for ldapexop; thanks to Peter Marschall
     <peter@adpm.de>.  Closes: #549291.
 .
   [ Matthijs Mohlmann ]
   * Ack NMU (Closes: #553432)
   * Update Standards-Version to 3.8.4
   * Fix NEWS entry to have the correct version number
   * Improve the wording for the slapd/invalid_config question (Closes: #452834)
   * Make lintian a bit more happy (Closes: #518660)
   * Fix bashism (Closes: #518657)
   * Refresh all patches
   * Add patch from upstream (Closes: #549642)
   * Reworked the configure.options a bit to include some more options
   * Enable dynamic acls
   * Use slappasswd to create a secure password (Closes: #490930)
   * Set a rootdn and rootpw if no password is given by debconf (Closes: #231950)
   * Better document the TLSCipherSuite in slapd.conf manpage (Closes: #563113)
   * Better document the TLS_CIPHER_SUITE in ldap.conf manpage (Closes: #510346)
   * Add smbk5pwd slapd module, used patch from Mark Hymers (Closes: #443073)
   * Add autogroup slapd module, used patch from Mathieu Parent (Closes: #575900)
   * Add lsb logging, used patch from David Härdeman (Closes: #385898)
   * Use dh_lintian to install the lintian-overrides
   * Added critical error report when slapcat fails (Closes: #226090)
Checksums-Sha1: 
 cacc47d1d3e1f497a42c7f2d4a9737d0f3c5726a 1862 openldap_2.4.21-1.dsc
 8ae276ae3df3230106268ad8169a1b0a08bbc545 4714249 openldap_2.4.21.orig.tar.gz
 2f505cdc246e5aa7fe34679d10f2abb569ed6666 150990 openldap_2.4.21-1.diff.gz
 4a585e7d2711cf39670f04e93ade9b755a6a3976 1585160 slapd_2.4.21-1_amd64.deb
 7b2fa9975e01473ca792c60a1042b55d882d3ca2 56116 slapd-smbk5pwd_2.4.21-1_amd64.deb
 11d80f417d731b738ccfe27e8027745b5a653321 327632 ldap-utils_2.4.21-1_amd64.deb
 b965ff2c1fe23474e045affe31f10a01a765e00f 207368 libldap-2.4-2_2.4.21-1_amd64.deb
 bbfc56e1411084229b6367f3de3ae5d193a10a69 303498 libldap-2.4-2-dbg_2.4.21-1_amd64.deb
 88d32d11594c8167b77e47485da907c814b86b4d 908974 libldap2-dev_2.4.21-1_amd64.deb
 b91ed83b500c6b7f24382be1d0cff6e32c83c79e 3963684 slapd-dbg_2.4.21-1_amd64.deb
Checksums-Sha256: 
 56232c0a5f551b5074f16bd8368727e007866069896b1b90433d34a3fe440fd3 1862 openldap_2.4.21-1.dsc
 86f92f299cec257c6a721e4dd69a8f1c7257caae454c16e807f97a1c2caa029a 4714249 openldap_2.4.21.orig.tar.gz
 0523bfdb635d140124310b4efc4c50e3a0002ab289f93ee96636fbd8158a4a0d 150990 openldap_2.4.21-1.diff.gz
 e272f580471a851bcce5d54f01b131b6301fbc9276f92a288028cb3ad5f5ee43 1585160 slapd_2.4.21-1_amd64.deb
 f49d75ed42b117a7b5d107525bbc68bd58860ed5a50a7c8c403b18581c26fd12 56116 slapd-smbk5pwd_2.4.21-1_amd64.deb
 8e5dc0fd324389f7a1b51a31ce6b127563797ea9ac13342449e7403d37ea3845 327632 ldap-utils_2.4.21-1_amd64.deb
 1035872f19e03c1e8c23dc8469e9a62a621bd65e86361d6310f544573c2046e9 207368 libldap-2.4-2_2.4.21-1_amd64.deb
 97765ca48942b0b5ca82bd7caa09708358d6111bc3212f57ac7af3e728975257 303498 libldap-2.4-2-dbg_2.4.21-1_amd64.deb
 fb95448d1a4a6e5697c83d3e73c264034d39ee2c9e760188076227948677be9c 908974 libldap2-dev_2.4.21-1_amd64.deb
 7728a33af98bdca8de42849e97ce7fd2bcf63b9d21bd32b8befd537725ac760f 3963684 slapd-dbg_2.4.21-1_amd64.deb
Files: 
 2e2436bac8eac1eae8549191951e123f 1862 net optional openldap_2.4.21-1.dsc
 74320e5744d58116a618986be204b1bc 4714249 net optional openldap_2.4.21.orig.tar.gz
 eafb9eb02c83688ba5fb97c195f21846 150990 net optional openldap_2.4.21-1.diff.gz
 74856a387aceefac2d87d816ce2d8677 1585160 net optional slapd_2.4.21-1_amd64.deb
 5fde31a7da08b9351432139b7392a431 56116 net extra slapd-smbk5pwd_2.4.21-1_amd64.deb
 389285994f60a418a08c215de45e21d6 327632 net optional ldap-utils_2.4.21-1_amd64.deb
 e9b831f40bb3bcbb2f2fc258765926ad 207368 libs standard libldap-2.4-2_2.4.21-1_amd64.deb
 ca488f5aad11f1c090ed9d51a86ca421 303498 debug extra libldap-2.4-2-dbg_2.4.21-1_amd64.deb
 a66ff0d308a9202f00b6657669f3abc4 908974 libdevel extra libldap2-dev_2.4.21-1_amd64.deb
 42c8f8bbf7e0f839f1abe8c3c85b8e98 3963684 debug extra slapd-dbg_2.4.21-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvR0A8ACgkQ2n1ROIkXqbD9mwCfVfQZsFs1fD1KT6TNATFYPt0Y
J2AAn3C9sNji1k3++RVWCFvIDxx6czgd
=TThi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 May 2010 07:33:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:28:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.